Bug 440593 - ERROR: Cannot read from source directory (/usr/lib/lam/etc) when installing lam-libs
ERROR: Cannot read from source directory (/usr/lib/lam/etc) when installing ...
Status: CLOSED DUPLICATE of bug 440397
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lam (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Doug Ledford
Brian Brock
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 05:33 EDT by Alexander Todorov
Modified: 2008-04-04 08:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 08:51:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-04-04 05:33:28 EDT
Description of problem:
Errors in %post when installing lam-libs

Version-Release number of selected component (if applicable):
lam-libs-7.1.2-12.el5
TREE: RHEL 5.2 Server snap #4


How reproducible:
100%

Steps to Reproduce:
1. @everything install (or include lam-libs package in a normal install)
2.
3.
  
Actual results:
Installing lam-libs - 2:7.1.2-12.el5.ia64
ERROR: Cannot read from source directory (/usr/lib/lam/etc)
error: %post(lam-libs-7.1.2-12.el5.ia64) scriptlet failed, exit status 1
Installing lam - 2:7.1.2-12.el5.ia64


Expected results:
No errors during installation

Additional info:
This is a regression from snap #3 which didn't have this issue.
Comment 3 James Laska 2008-04-04 08:48:40 EDT
--- /tmp/lam-libs.11.el5        2008-04-04 07:36:26.000000000 -0500
+++ /tmp/lam-libs.12.el5        2008-04-04 07:36:22.000000000 -0500
@@ -1,15 +1,10 @@
 /bin/sh  
 /bin/sh  
-/sbin/ldconfig  
-/sbin/ldconfig  
-/usr/sbin/alternatives  
 /usr/sbin/alternatives  
 libc.so.6.1()(64bit)  
 libc.so.6.1(GLIBC_2.2)(64bit)  
 libc.so.6.1(GLIBC_2.3)(64bit)  
 libc.so.6.1(GLIBC_2.3.2)(64bit)  
-libc.so.6.1(GLIBC_2.3.4)(64bit)  
-libc.so.6.1(GLIBC_2.4)(64bit)  
 libdl.so.2()(64bit)  
 libdl.so.2(GLIBC_2.0)(64bit)  
 libdl.so.2(GLIBC_2.1)(64bit)  
@@ -25,6 +20,8 @@
 libstdc++.so.6()(64bit)  
 libstdc++.so.6(CXXABI_1.3)(64bit)  
 libstdc++.so.6(GLIBCXX_3.4)(64bit)  
+mpi-selector  
+mpi-selector  
 rpmlib(CompressedFileNames) <= 3.0.4-1
 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
 rtld(GNU_HASH)  


Looks like we no longer requires /sbin/alternatives ... could that be causing
the lam-libs %script to fail?
Comment 4 Alexander Todorov 2008-04-04 08:51:31 EDT

*** This bug has been marked as a duplicate of 440397 ***

Note You need to log in before you can comment on or make changes to this bug.